
local E_MODEL_DK64 = smlua_model_util_get_id("patr_geo")

local TEXT_MOD_NAME = "Patrick"

local VOICETABLE_PATR = {
    [CHAR_SOUND_ATTACKED] = {'Pat_Ouch1.ogg', 'Pat_Ouch2.ogg', 'Pat_Ouch3.ogg', 'Pat_Ouch4.ogg'},
    [CHAR_SOUND_DOH] = 'patrickpain01.ogg',
    [CHAR_SOUND_DYING] = 'patrickpain04.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'patrickbad01.ogg',
    [CHAR_SOUND_HAHA] = 'patricklaugh05.ogg',
    [CHAR_SOUND_HAHA_2] = 'patricklaugh05.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'PAT_STARGET.ogg',
    [CHAR_SOUND_HOOHOO] = 'Pat_Ouch4.ogg',
    [CHAR_SOUND_HRMM] = 'patrickpain01.ogg',
    [CHAR_SOUND_LETS_A_GO] = 'PAT_Start.ogg',
    [CHAR_SOUND_MAMA_MIA] = {'PAT_LOSELIFE.ogg', 'PAT_LOSELIFE2.ogg'},
	[CHAR_SOUND_OKEY_DOKEY] = 'PAT_Start.ogg',
    [CHAR_SOUND_ON_FIRE] = 'PAT_YELL.ogg',
    [CHAR_SOUND_OOOF] = 'Pat_Ouch2.ogg',
    [CHAR_SOUND_OOOF2] = 'Pat_Ouch2.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'PAT_POW.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'PAT_OUGH.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'patrickpain01.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'PAT_THROW.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'PAT_TRIPLE.ogg',
    [CHAR_SOUND_UH] = 'Pat_Ouch3.ogg',
    [CHAR_SOUND_UH2] = 'patrickpain01.ogg',
    [CHAR_SOUND_UH2_2] = 'Pat_Ouch3.ogg',
    [CHAR_SOUND_WAAAOOOW] = 'PAT_YELL.ogg',
    [CHAR_SOUND_WAH2] = 'patrickpain01.ogg',
    [CHAR_SOUND_WHOA] = 'PAT_LEDGE.ogg',
    [CHAR_SOUND_YAHOO] = 'PAT_TRIPLE.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = 'PAT_TRIPLE.ogg',
    [CHAR_SOUND_YAH_WAH_HOO] = 'patrickpain01.ogg'
}

local TEX_DK64 = get_texture_info("patr-icon")

if _G.charSelectExists then
    _G.charSelect.character_add("Patrick Starfish", {"Maybe it's the way you're dressed?"}, "CaptainT.", {r = 14, g = 42, b = 97}, E_MODEL_DK64, CT_MARIO, TEX_DK64)

    _G.charSelect.character_add_voice(E_MODEL_DK64, VOICETABLE_PATR)

    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_PATR then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_PATR then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end

